summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2018-11-18 01:14:31 +0100
committerThomas Deutschmann <whissi@gentoo.org>2018-11-18 02:17:52 +0100
commit1add77d9ac1705d6b2732c7593f62e0d48f20e2e (patch)
tree1e8d9f3ceccb81749dd978be89806b4fb129555a /dev-libs/liblinear
parentmedia-libs/libopenraw: bump to 0.1.3 (diff)
downloadgentoo-1add77d9ac1705d6b2732c7593f62e0d48f20e2e.tar.gz
gentoo-1add77d9ac1705d6b2732c7593f62e0d48f20e2e.tar.bz2
gentoo-1add77d9ac1705d6b2732c7593f62e0d48f20e2e.zip
dev-libs/liblinear: bump to v221
- EAPI bumped to EAPI=7 Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'dev-libs/liblinear')
-rw-r--r--dev-libs/liblinear/Manifest1
-rw-r--r--dev-libs/liblinear/liblinear-221.ebuild65
2 files changed, 66 insertions, 0 deletions
diff --git a/dev-libs/liblinear/Manifest b/dev-libs/liblinear/Manifest
index 8615836097c..159c00a21aa 100644
--- a/dev-libs/liblinear/Manifest
+++ b/dev-libs/liblinear/Manifest
@@ -1,3 +1,4 @@
DIST liblinear-210.tar.gz 381662 BLAKE2B d64d217f7ba67605821062f66d4e9f130f4f2396dde14cd35532bad11f4af4f34bc231a1e3796ba2d0e14f84830ec05c6358d40018e048f4ae3fa62db2b1d0d7 SHA512 4e4558467f2ebb3dbd640c172b1129c8e5981c231a043abb0398a803252559795604a34992baee50ae6689646050733d3a908d7d76f8b1c94309b859eae7f8c8
DIST liblinear-211.tar.gz 506507 BLAKE2B 31b7677dfbf9dbb060a28dc19c63db4244e55c4ddc984a8c9ccadc517beabaf8fabef04488366cd7375608412dad3c37d4f09fe27b37b69e69209d32379a9e45 SHA512 005a47b3a8ff27f9890ce10549478be4b041c92d162815fba33dd56db7c014e6958b3e7e161451490c34d88df2161366365bd41b1a48d6a77034edc346a0fc3a
DIST liblinear-220.tar.gz 517302 BLAKE2B 6aa28c3357f830441ee3cb2e9691d4952e4d4db6592622f6e93be1ed12c8f871e4a9c98abcb35b472a227005bad0cc1e6076678358dc324a7453cbbfb34a0866 SHA512 cde798b7cb221513cf2b8bbe134d6c3dce1ed26c43504d8c09dbed93b82ca47bfd271d4dd3d03384187273906ce140d4ce4418a4a8c21410015ec1631c1042c6
+DIST liblinear-221.tar.gz 520288 BLAKE2B b28c837488f5827ae76f32dc14a1b92027eb5ff123a15c07e9974197eea842c8247420632d259defdba3968383749538c1ed16f6b5c982fad87b3bc52572b485 SHA512 abf21f9030e67886d88a95ad1699e566f8b67bb3bd23253f1f656460911f92a5c3c184fe127390d6100bbf9970cf7a246ef3611b0788907c35a33286228f1753
diff --git a/dev-libs/liblinear/liblinear-221.ebuild b/dev-libs/liblinear/liblinear-221.ebuild
new file mode 100644
index 00000000000..1aaede97f49
--- /dev/null
+++ b/dev-libs/liblinear/liblinear-221.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+inherit multilib toolchain-funcs
+
+DESCRIPTION="A Library for Large Linear Classification"
+HOMEPAGE="https://www.csie.ntu.edu.tw/~cjlin/liblinear/ https://github.com/cjlin1/liblinear"
+SRC_URI="https://github.com/cjlin1/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x64-macos"
+IUSE="blas"
+
+RDEPEND="
+ blas? ( virtual/blas )
+"
+DEPEND="
+ ${RDEPEND}
+ blas? ( virtual/pkgconfig )
+"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e '/^AR/s|=|?=|g' \
+ -e '/^RANLIB/s|=|?=|g' \
+ -e '/^CFLAGS/d;/^CXXFLAGS/d' \
+ blas/Makefile || die
+ sed -i \
+ -e 's|make|$(MAKE)|g' \
+ -e '/$(LIBS)/s|$(CFLAGS)|& $(LDFLAGS)|g' \
+ -e '/^CFLAGS/d;/^CXXFLAGS/d' \
+ -e 's|$${SHARED_LIB_FLAG}|& $(LDFLAGS)|g' \
+ Makefile || die
+ if use blas; then
+ sed -i -e 's:blas/blas.a::g' Makefile || die
+ fi
+}
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ CXX="$(tc-getCXX)" \
+ CFLAGS="${CFLAGS} -fPIC" \
+ CXXFLAGS="${CXXFLAGS} -fPIC" \
+ AR="$(tc-getAR) rcv" \
+ RANLIB="$(tc-getRANLIB)" \
+ LIBS="$(usex blas "$( $(tc-getPKG_CONFIG) --libs blas )" blas/blas.a)" \
+ lib all
+}
+
+src_install() {
+ dolib.so ${PN}.so.3
+ dosym ${PN}.so.3 /usr/$(get_libdir)/${PN}.so
+
+ newbin predict ${PN}-predict
+ newbin train ${PN}-train
+
+ doheader linear.h
+
+ dodoc README
+}